Skip to main content
Infrastructure/Agents

ReportCrash

Report a plugin crash event including exit code and signal from the agent

POST/api/v1/agents/{agentId}/plugins/{pluginId}/crash

Operation ID

ReportCrash

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • agentId
    StringRequired

    UUID of the agent where the plugin crashed

  • pluginId
    StringRequired

    Unique identifier of the crashed plugin

Body Fields

  • exitCode
    IntegerRequired

    Process exit code at crash time

    Example: 1

  • signal
    StringRequired

    OS signal that caused the crash (e.g. SIGSEGV)

    Example: SIGSEGV

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.